package org.xj4.lifecycle;

import org.apache.commons.lang.StringUtils;

import java.util.Stack;

/**
 * Indicates that the dependency graph (as determined by {@link Requires @Requires}) has a loop - this is a lifecycle
 * implementation error.
 *
 * @author Jared Bunting
 */
public class CircularDependencyException extends RuntimeException {
  CircularDependencyException(LifecycleDescriptor lifecycleDescriptor, Stack<LifecycleDescriptor> depStack) {
    super("Circular dependency issue...");
  }
}
